summaryrefslogtreecommitdiff
path: root/Microbenchmarks/CPU-DPU/run-transfer-stress.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Microbenchmarks/CPU-DPU/run-transfer-stress.sh')
-rwxr-xr-xMicrobenchmarks/CPU-DPU/run-transfer-stress.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/Microbenchmarks/CPU-DPU/run-transfer-stress.sh b/Microbenchmarks/CPU-DPU/run-transfer-stress.sh
new file mode 100755
index 0000000..a508bd6
--- /dev/null
+++ b/Microbenchmarks/CPU-DPU/run-transfer-stress.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+ts="$(date +%Y%m%d)"
+
+mkdir -p "$(hostname)-transfer"
+
+NCORES=$(grep -c '^processor' /proc/cpuinfo)
+cleanexit() {
+ pkill -f "stress -c ${NCORES}"
+}
+
+trap cleanexit TERM INT
+
+stress -c ${NCORES} &
+
+./run-transfer-rank.sh | tee "$(hostname)-transfer/${ts}-stress-c${NCORES}.txt"
+
+cleanexit
+
+xz -f -v -9 -M 800M "$(hostname)-transfer/${ts}-stress-c${NCORES}.txt"